Package ru.bitel.bgbilling.modules.phone.server.bean

# Class ReportManager

java.lang.Object
ru.bitel.bgbilling.modules.phone.server.bean.ReportManager

    public final class ReportManager
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `IN_CALL` |
  `static int` | `OUT_CALL` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ReportManager​(java.sql.Connection con, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `bitel.billing.server.util.PagedList<Report>` | `getCostList​(int cid, java.lang.String items, java.util.Calendar date1, java.util.Calendar date2, int type, boolean noFree, Page page)` | Отчет по наработке пойнтов
  `DataLog` | `getDataLog​(int id, java.util.Calendar month)` |
  `bitel.billing.server.util.PagedList<Report>` | `getPointDestinationList​(int cid, java.lang.String items, java.util.Calendar date1, java.util.Calendar date2, boolean noFree, Page page)` | Отчет по направлениям одного или нескольких пойнтов
  `bitel.billing.server.util.PagedList<Report>` | `getServiceReportList​(int cid, java.lang.String items, java.util.Calendar date1, java.util.Calendar date2, boolean noFree, Page page)` | Отчет по направлениям одного или нескольких пойнтов
  `bitel.billing.server.util.PagedList<SessionDetail<SessionDetail<Session>>>` | `getSessionDetailList​(int cid, java.lang.String items, java.util.Calendar date1, java.util.Calendar date2, int type, boolean noFree, int destId, int serviceId)` |
  `bitel.billing.server.util.PagedList<SessionDetail<SessionDetail<Session>>>` | `getSessionDetailList​(int cid, java.lang.String items, java.util.Calendar date1, java.util.Calendar date2, int type, boolean noFree, Page page, int destId, int serviceId)` | Отчет по сессиям по пойнтам/правилам
  `bitel.billing.server.util.PagedList<Session>` | `getSessionIncomingList​(int cid, java.lang.String items, java.util.Calendar date1, java.util.Calendar date2, Page page)` |
  `bitel.billing.server.util.PagedList<Session>` | `getSessionList​(int cid, java.lang.String items, java.util.Calendar date1, java.util.Calendar date2, int type, boolean noFree, Page page, int destId, int serviceId, boolean orderBySidItem)` |
  `boolean` | `getSessionListQuery​(java.lang.StringBuilder query, java.lang.StringBuilder total, int cid, java.lang.String items, java.util.Calendar gotdate1, java.util.Calendar gotdate2, int type, boolean noFree, Page page, int destId, int serviceId, boolean orderBySidItem)` |
  `Report` | `getTotal​(int cid, java.util.Calendar gotdate1, java.util.Calendar gotdate2, int type, boolean noFree, int serviceId, int clientItem, java.lang.String from164, java.lang.String items)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OUT_CALL

    public static final int OUT_CALL
    See Also:
      Constant Field Values

  - ### IN_CALL

    public static final int IN_CALL
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### ReportManager

    public ReportManager​(java.sql.Connection con, int mid)

- ## Method Details

  - ### getPointDestinationList

    public bitel.billing.server.util.PagedList<Report> getPointDestinationList​(int cid, java.lang.String items, java.util.Calendar date1, java.util.Calendar date2, boolean noFree, Page page)
    Отчет по направлениям одного или нескольких пойнтов
    Parameters:
      `items` - пойнты

  - ### getCostList

    public bitel.billing.server.util.PagedList<Report> getCostList​(int cid, java.lang.String items, java.util.Calendar date1, java.util.Calendar date2, int type, boolean noFree, Page page)
    Отчет по наработке пойнтов

  - ### getSessionListQuery

    public final boolean getSessionListQuery​(java.lang.StringBuilder query, java.lang.StringBuilder total, int cid, java.lang.String items, java.util.Calendar gotdate1, java.util.Calendar gotdate2, int type, boolean noFree, Page page, int destId, int serviceId, boolean orderBySidItem)

  - ### getSessionDetailList

    public bitel.billing.server.util.PagedList<SessionDetail<SessionDetail<Session>>> getSessionDetailList​(int cid, java.lang.String items, java.util.Calendar date1, java.util.Calendar date2, int type, boolean noFree, Page page, int destId, int serviceId)
    Отчет по сессиям по пойнтам/правилам

  - ### getSessionDetailList

    public bitel.billing.server.util.PagedList<SessionDetail<SessionDetail<Session>>> getSessionDetailList​(int cid, java.lang.String items, java.util.Calendar date1, java.util.Calendar date2, int type, boolean noFree, int destId, int serviceId)

  - ### getSessionList

    public bitel.billing.server.util.PagedList<Session> getSessionList​(int cid, java.lang.String items, java.util.Calendar date1, java.util.Calendar date2, int type, boolean noFree, Page page, int destId, int serviceId, boolean orderBySidItem)

  - ### getDataLog

    public DataLog getDataLog​(int id, java.util.Calendar month)

  - ### getServiceReportList

    public bitel.billing.server.util.PagedList<Report> getServiceReportList​(int cid, java.lang.String items, java.util.Calendar date1, java.util.Calendar date2, boolean noFree, Page page)
    Отчет по направлениям одного или нескольких пойнтов
    Parameters:
      `items` - пойнты

  - ### getTotal

    public Report getTotal​(int cid, java.util.Calendar gotdate1, java.util.Calendar gotdate2, int type, boolean noFree, int serviceId, int clientItem, java.lang.String from164, java.lang.String items)

  - ### getSessionIncomingList

    public bitel.billing.server.util.PagedList<Session> getSessionIncomingList​(int cid, java.lang.String items, java.util.Calendar date1, java.util.Calendar date2, Page page)